import React from "react";
import PropTypes from "prop-types";
import { Platform, StyleSheet, View, Text } from 'react-native'
import { WebView } from 'react-native-webview';
import { getTheme } from "../styles/themes";
const theme = getTheme("default")
const styles = StyleSheet.create(
  {

    WebViewStyle:
    {
      justifyContent: theme.tdlWebView.justifyContent,
      alignItems: theme.tdlWebView.alignItems,
      flex: theme.tdlWebView.flex,
      fontSize: 20,
      fontWeight: 600

      //  marginTop: (Platform.OS) === 'ios' ? 20 : 0
    }

  })
const HTMLValue = ({ value }) => {
  console.log("valueOf html", value)
  {/* <div dangerouslySetInnerHTML={{ __html: value }} />; */ }

  return Platform.OS == "web" ? <div dangerouslySetInnerHTML={{ __html: value }} /> : <View style={{ backgroundColor: "blue", height: "100%" }}>
    <WebView
      style={styles.WebViewStyle}
      originWhitelist={['*']}
      source={{ html: value }}
    />

  </View>

}

HTMLValue.propTypes = {
  value: PropTypes.string.isRequired,
};

export default HTMLValue;
