/* eslint-disable react/jsx-boolean-value */
import React, { useEffect, useState, useRef } from "react";
import { useFonts } from 'expo-font';
import MultiSelect from 'react-native-multiple-select';
import PropTypes from "prop-types";
import { Platform, View } from 'react-native';
import * as colors from './../../src-screens/environments/colors';
import { Styles } from "../../src-screens/Styles/eliraStyles";
import { evalStyle } from "../../helpers/util";
import TextField from '@mui/material/TextField';
import Autocomplete, { createFilterOptions } from '@mui/material/Autocomplete';
const AutoCompleteWEB = ({ op, operators }) => {

    const [listIsOpened, setListIsOpened] = useState(true)
    const filter = createFilterOptions();
    const multiSelect = useRef(null)
    console.log("operators",operators)
    // useEffect(() => {
    //     // if (value && value.pk) {
    //     //   setValueWeb(value._label)
    //     // }
    //     if (Platform.OS == "web") {
    //         if (!value) {
    //             onChange(valueWeb ? valueWeb : {});
    //         }
    //     }
    //     if (value && value.pk && pv.length === 0) {

    //         onQuery(value._label);
    //     }
    // }, [value]);
   
   

    return (
        <>

            <View style={{ flex: 1, justifyContent: 'center' }}>
                <View style={{ flex: 1, justifyContent: 'center' }}>
                    <Autocomplete
                        value={op && op.name}
                        blurOnSelect={true}
                        onChange={(val) => {
                            // val = val[0];
                            // this.setSearchOperator(val);
                            console.log("vaaal",val)
                        }}
                      
                        filterOptions={(options, params) => {
                            const filtered = filter(options, params);

                            const { inputValue } = params;
                            // Suggest the creation of a new value
                            const isExisting = options.some((option) => inputValue === option.name);
                            if (inputValue !== '' && !isExisting) {
                                filtered.push({
                                    inputValue,
                                    name: `Add "${inputValue}"`,
                                });
                            }

                            return filtered;
                        }}
                        open={listIsOpened}
                        onOpen={() => {
                            // if (!pv || pv.length === 0) onQuery("");
                            console.log("listIsOpened",listIsOpened)
                            setListIsOpened(true)
                        }}
                        onClose={() => {
                         
                            setListIsOpened(false);
                        }}
                        selectOnFocus
                        clearOnBlur
                        handleHomeEndKeys
                        id="code"
                        options={operators}
                        getOptionLabel={(option) => {
                            // Value selected with enter, right from the input
                            if (typeof option === 'string') {
                                return option;
                            }
                            // Add "xxx" option created dynamically
                            if (option.inputValue) {
                                return option.inputValue;
                            }
                            // Regular option
                            return option.name;
                        }}
                        renderOption={(props, option) => <li {...props}>{option.name}</li>}
                        sx={{ width: 300 }}
                        freeSolo
                        renderInput={(params) => (
                            <TextField {...params} label="" />
                        )}
                        uniqueKey="code"
                        ref={(component) => { multiSelect.current = component }}
                        style={{ width: 500,textAlign:"right",direction:"rtl" }}
                    />



                    <View>
                        {multiSelect.current != null && multiSelect.current.getSelectedItemsExt && multiSelect.current.getSelectedItemsExt([value])}
                    </View>
                </View>
            </View>



        </>
        // }
        // <AutoComplete
        //   allowClear={isMandatory === "false"}
        //   style={{ width: "100%" }}
        //   value={currentSearchValue || (value && (value._label || value._label))}
        //   showArrow
        //   onClear={onClear}
        // onSelect={(val) => {
        //   onChange(val ? pv.find((item) => item.pk === val) : {});
        //   setCurrentSearchValue(null);
        // }}
        // onSearch={(query) => {
        //   onQuery(query);
        //   setCurrentSearchValue(query);
        // }}
        // onFocus={() => {
        //   if (!pv || pv.length === 0) onQuery("");
        // }}
        //   onKeyUp={onKeyUp}
        // >
        //   {pv &&
        //     pv.map((val) => (
        //       <AutoComplete.Option key={val.pk} value={val.pk} title={val._label}>
        //         {val._label}
        //       </AutoComplete.Option>
        //     ))}
        // </AutoComplete>
    );
};

AutoCompleteWEB.propTypes = {
    meta: PropTypes.objectOf(PropTypes.any).isRequired,
    value: PropTypes.oneOfType([PropTypes.string, PropTypes.object]),
    onChange: PropTypes.func.isRequired,
    onQuery: PropTypes.func.isRequired,
    onClear: PropTypes.func.isRequired,
    theme: PropTypes.objectOf(PropTypes.any),
    customStyle: PropTypes.objectOf(PropTypes.any)
};

AutoCompleteWEB.defaultProps = {
    value: null
};

export default AutoCompleteWEB;
