import React from "react";
import { Switch } from '@ant-design/react-native';
import PropTypes from "prop-types";
import * as colors from './../../src-screens/environments/colors'
import { Styles } from "../../src-screens/Styles/eliraStyles";
import { evalStyle } from "../../helpers/util";

const BooleanComponent = ({ value, onChange, theme, customStyle, path, tdlPath, meta, isRTL }) => {

  // let feildHidden = 1;
  // if (vs.tdl && vs.tdl.tdlOptions && vs.tdl.tdlOptions[meta.keyName] && vs.tdl.tdlOptions[meta.keyName]["feildHidden"] == "true") {

  //   feildHidden = 0;
  //   console.log({ feildHidden })
  // }
  // evalStyle(customStyle, value, meta)
  let booleanStyle = {
    // flexDirection: isRTL ? 'row' : 'row-reverse',
    // backgroundColor: "grey",
    borderBottomWidth: 1.5,
    width:100,
    
    // marginRight:100
    // borderBottomColor:colors.SEASHELL
    // opacity: feildHidden
  };

  if (customStyle) {
    booleanStyle = { ...booleanStyle, ...customStyle }
  }
  console.log("jjjjj",isRTL)
  return (
    <Switch
      style={[Styles.borderStyle, booleanStyle, {
      
      }]}
      checked={value === "true" || value === true}
      onChange={(val) => {
        onChange(val);
      }}
    />
  )

};

BooleanComponent.propTypes = {
  value: PropTypes.oneOfType([PropTypes.string, PropTypes.bool]),
  onChange: PropTypes.func.isRequired,
  theme: PropTypes.objectOf(PropTypes.any),
  customStyle: PropTypes.objectOf(PropTypes.any)
};

BooleanComponent.defaultProps = {
  value: null,
};

export default BooleanComponent;