// import React from "react";
// import PropTypes from "prop-types";
// import { connect } from "react-redux";
// import { Layout, Menu, Image, Spin } from "antd";
// import { LoadingOutlined, LineOutlined, MenuOutlined } from "@ant-design/icons";
// import LogoSlim from "../assets/elixir_logo_slim.png";
// import LogoFull from "../assets/elixir_logo_full.png";
// import { sendRequest, setSidebarCollapsed } from "../redux/actions";

// const { Sider } = Layout;

// const Sidebar = ({ isRTL, dispatch, sidebarCollapsed, mainMenu }) => {
//   return (
//     <Sider
//       width={300}
//       collapsible
//       collapsedWidth={60}
//       trigger={null}
//       onMouseEnter={() => dispatch(setSidebarCollapsed(false))}
//       onMouseLeave={() => dispatch(setSidebarCollapsed(true))}
//       collapsed={sidebarCollapsed}
//       style={{
//         zIndex: 10000,
//         overflow: sidebarCollapsed ? "hidden" : "auto",
//         height: "100vh",
//         position: "fixed",
//         [isRTL ? "right" : "left"]: 0,
//         transition: "ease-in-out",
//         transitionDelay: "50ms",
//         transitionDuration: "150ms",
//       }}
//     >
//       <Spin
//         spinning={Object.keys(mainMenu).length === 0}
//         indicator={<LoadingOutlined style={{ fontSize: 100 }} spin />}
//         size="large"
//         style={{ zIndex: 10000 }}
//       >
//         <Image className="headerLogo" src={sidebarCollapsed ? LogoSlim : LogoFull} />
//         <Menu mode="inline">
//           {mainMenu.map(({ items: moduleItems, label }) => {
//             return (
//               <Menu.SubMenu key={label} title={label} icon={<MenuOutlined />}>
//                 {moduleItems.map(({ items, label: processLabel }) => {
//                   return (
//                     <Menu.SubMenu key={processLabel} title={processLabel} icon={<LineOutlined />}>
//                       {items.map(({ label: itemLabel, tdlId }) => (
//                         <Menu.Item
//                           key={itemLabel}
//                           onClick={() => dispatch(sendRequest({ tdlId }))}
//                           title={itemLabel}
//                           icon={<LineOutlined />}
//                         >
//                           {itemLabel}
//                         </Menu.Item>
//                       ))}
//                     </Menu.SubMenu>
//                   );
//                 })}
//               </Menu.SubMenu>
//             );
//           })}
//         </Menu>
//       </Spin>
//     </Sider>
//   );
// };

// Sidebar.propTypes = {
//   isRTL: PropTypes.bool.isRequired,
//   dispatch: PropTypes.func.isRequired,
//   sidebarCollapsed: PropTypes.bool.isRequired,
//   mainMenu: PropTypes.arrayOf(PropTypes.any).isRequired,
// };

// const mapStateToProps = (state) => ({
//   isRTL: state.general.isRTL,
//   sidebarCollapsed: state.general.sidebarCollapsed,
//   mainMenu: state.general.mainMenu,
// });

// export default connect(mapStateToProps)(Sidebar);
