
export class TemplatesFactory {
    static templates = {}

    static registerTemplate(templateName,template) {
        if(!this.templates[templateName]){
            this.templates[templateName] = template;
        }
    }

    static getTemplate(templateName) {
        if(this.templates[templateName]){
           return this.templates[templateName];
        }
        return null;
    }
    

}

export default TemplatesFactory;