// import React, { useEffect, useState } from "react";
// import PropTypes from "prop-types";
// import { Row, Col, Card } from "antd";
// import { fetchDashboard, setCurrentObjectPath, fetchDashboardItems } from "../redux/actions";
// import * as Util from "../helpers/util";
// import TDL from "./tdl";

// const Dashboard = ({ dispatch }) => {
//   const [dashboardItems, setDashboardItems] = useState([]);
//   useEffect(() => {
//     dispatch(
//       fetchDashboard((response) => {
//         if (Util.isSuccessResponse(response)) {
//           const { data } = response.data;
//           const { diffObject, usecaseId } = data;
//           if (diffObject && diffObject.length > 0) {
//             dispatch(setCurrentObjectPath(usecaseId, diffObject[0].pk));
//             dispatch(
//               fetchDashboardItems(usecaseId, (itemsResponse) => {
//                 if (Util.isSuccessResponse(itemsResponse)) {
//                   if (
//                     itemsResponse.data.data.diffObject &&
//                     itemsResponse.data.data.diffObject.details &&
//                     itemsResponse.data.data.diffObject.details.length > 0
//                   ) {
//                     setDashboardItems(
//                       itemsResponse.data.data.diffObject.details.sort(
//                         (x1, x2) => Number(x1.order) - Number(x2.order),
//                       ),
//                     );
//                   }
//                 }
//               }),
//             );
//           }
//         }
//       }),
//     );
//   }, []);

//   return (
//     <Row gutter={[16, 16]}>
//       {dashboardItems.map((item) => {
//         return (
//           <Col xxl={12} xl={12} lg={12} md={24} sm={24} xs={24}>
//             <Card title={item.name} className="dashboard-card" bordered>
//               <TDL tdlId={item.tdl.tdlId} smallView />
//             </Card>
//           </Col>
//         );
//       })}
//     </Row>
//   );
// };

// Dashboard.propTypes = {
//   dispatch: PropTypes.func.isRequired,
// };

// export default Dashboard;
