import React from "react";
import PropTypes from "prop-types";
import { resolveRelativeURL } from "@muhammadz/elixir-react-stateful/helpers/util";
import { StatusBar } from 'react-native';
import { ThemeConsumer } from "react-native-elements";

const CevTDL = ({ vs }) => {
  return (
    <>
      <iframe
        title={vs.usecaseId}
        frameBorder="0"
        src={resolveRelativeURL(vs.tdl.url)}
        style={{ height: theme.tdlIframe.height, width: theme.tdlIframe.width, padding: theme.tdlIframe.padding }}
      />
    </>
  );
};

CevTDL.propTypes = {
  vs: PropTypes.objectOf(PropTypes.any).isRequired,
};

export default CevTDL;
